NodeCmd (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.tools
Class NodeCmd

    java.lang.Object
      org.apache.cassandra.tools.NodeCmd

    public class NodeCmd

extends java.lang.Object

Constructor Summary
`NodeCmd(NodeProbe probe)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `printColumnFamilyStats(java.io.PrintStream outs)`
`void` | `printCompactionStats(java.io.PrintStream outs)`
`void` | `printInfo(java.io.PrintStream outs)` Write node information.
`void` | `printNetworkStats(java.net.InetAddress addr, java.io.PrintStream outs)`
`void` | `printReleaseVersion(java.io.PrintStream outs)`
`void` | `printRemovalStatus(java.io.PrintStream outs)`
`void` | `printRing(java.io.PrintStream outs)` Write a textual representation of the Cassandra ring.
`void` | `printThreadPoolStats(java.io.PrintStream outs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeCmd

    public NodeCmd(NodeProbe probe)

Method Detail

### printRing

    public void printRing(java.io.PrintStream outs)

  Write a textual representation of the Cassandra ring.

  Parameters:
    `outs` - the stream to write to

### printThreadPoolStats

    public void printThreadPoolStats(java.io.PrintStream outs)

### printInfo

    public void printInfo(java.io.PrintStream outs)

  Write node information.

  Parameters:
    `outs` - the stream to write to

### printReleaseVersion

    public void printReleaseVersion(java.io.PrintStream outs)

### printNetworkStats

    public void printNetworkStats(java.net.InetAddress addr,
                                  java.io.PrintStream outs)

### printCompactionStats

    public void printCompactionStats(java.io.PrintStream outs)

### printColumnFamilyStats

    public void printColumnFamilyStats(java.io.PrintStream outs)

### printRemovalStatus

    public void printRemovalStatus(java.io.PrintStream outs)

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            java.lang.InterruptedException,
                            ConfigurationException,
                            org.apache.commons.cli.ParseException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
    `ConfigurationException`
    `org.apache.commons.cli.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation